Skip to main content
GET
/
pg
/
vba
/
payments
/
{utr}
Get Payment Details by UTR
curl --request GET \
  --url https://sandbox.cashfree.com/pg/vba/payments/{utr} \
  --header 'x-api-version: <x-api-version>' \
  --header 'x-client-id: <x-client-id>' \
  --header 'x-client-secret: <x-client-secret>'
{
  "payment_details": [
    {
      "virtual_account_id": "User01",
      "utr": "912345678912",
      "remitter_account": "026291800001191",
      "remitter_name": "Doe John",
      "amount": "10",
      "reference_id": "001",
      "credit_ref_number": "2382053846",
      "txtime": "2007-06-28 15:28:08",
      "is_settled": "1",
      "txstatus": "SUCCESS"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Headers

x-client-id
string
required

Client app ID. You can find your app id in the Merchant Dashboard.

x-client-secret
string
required

Client secret key. You can find your secret key in the Merchant Dashboard.

x-api-version
enum<string>
required

API version to be used. The accepted format is YYYY-MM-DD.

Available options:
2024-07-10T00:00:00.000Z
x-request-id
string

Request ID for the API call. Can be used to resolve tech issues. Communicate this in your tech related queries to Cashfree.

Example:

"4dfb9780-46fe-11ee-be56-0242ac120002"

Path Parameters

utr
string
required

It is the unique transaction reference (UTR) number generated after the payment transfer.

Response

Success response for getting payment details by entering the unique transaction reference (UTR).

payment_details
object[]